Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{oid}
/
auth
/
oidc
/
token
aid_auths_oidc_token_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{oid}/auth/oidc/token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "grant_type": "authorization_code",
  "code": "<string>",
  "client_id": "<string>",
  "audience": "https://api.dintero.com/v1/accounts/P00000000"
}
'
{
  "access_token": "eyJhbGci...t7P4",
  "token_type": "Bearer",
  "expires_in": 86400,
  "user_info": {
    "authority": "https://identityserver.example.com/access",
    "value": {
      "sub": "c06c4afe-d9e1-4c5d-939a-177d752a0944",
      "name": "Ada Lovelace"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

Body

application/json
grant_type
enum<string>
required
Available options:
authorization_code
code
string
required
client_id
string
required
audience
string
required

The unique identifier of the target API you want to access. The audience must be a grant associated with the client that has oidc configured

Example:

"https://api.dintero.com/v1/accounts/P00000000"

redirect_uri
string

The redirect URL which the user agent is redirected to after finishing a login.

Response

Success

access_token
string
required

A JWT access token

Example:

"eyJhbGci...t7P4"

token_type
enum<string>
required
Available options:
Bearer
expires_in
integer
required

The lifetime in seconds of the access token. For example, the value "3600" denotes that the access token will expire in one hour from the time the response was generated.

Example:

86400

user_info
object

Details about the user provided by the authentication server

Last modified on May 12, 2026